Subject: Re: [PATCH v2 00/10] tests: add and use a "test_hook" wrapper + hook fixes

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Mar 2022 13:26:56 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Junio also suggested re-arranging this to do this migration in fewer
> steps. I started doing that but doing so would have taken a lot of
> time solving conflicts, re-writing commits etc. I think given that

Given how much reviewer bandwidth you consume, it may be a good
thing to slow you down, I would have to say ;-)

> there's agreement on the end-state that doing so wasn't worth the time

Somebody needs to take another look at the end-state, as I do not
recall if there was any firm agreement, but in any case the series
must bisect well.

In any case, the new "test_hook" helper, together with many places
converted to use it by this patch, look quite nicely done.

Will replace.

Thanks.